package rt.lanyo.game.ddz.model;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;

public class Btn {
	/**背景图片**/
	public Bitmap img1;
	public Bitmap img2;
	/**图片位置**/
	public int x;
	public int y;
	/**图片宽高**/
	public int w;
	public int h;
	public boolean selected = false;
	public boolean show=false;
	
	public Btn(Bitmap img1, Bitmap img2, int x, int y, int w, int h) {
		this.img1 = img1;
		this.img2 = img2;
		this.x = x;
		this.y = y;
		this.w = w;
		this.h = h;
	}

	public Bitmap getImg(){
		return selected?img2:img1;
	}
	
	public void reset(){
		selected=false;
		show=false;
	}
	
	public void draw(Canvas canvas, Paint paint) {
		if(show) canvas.drawBitmap(getImg(), x, y, paint);
	}
	
	public boolean isClick(float cx, float cy) {
		return show&&cx>x&&cx<x+w&&cy>y&&cy<y+h;
	}
}
