package rt.lanyo.game.ddz.vo;

public class CmdVO {
	public static final String LOGIN = "login";
	public static final String REGISTER = "register";
	public static final String LIST = "list";
	public static final String LOGOUT = "logout";
	public static final String JOIN = "join";
	public static final String EXIT = "exit";
	public static final String START = "start";
	public static final String STOP = "stop";
	public static final String REPLY = "reply";
	public static final String UPDATE = "update";
	public static final String LEAVE_DESK = "leaveDesk";
	public static final String CALL = "call";
	public static final String CARD = "card";
	public static final String READY = "ready";
	public static final String UNREADY = "unready";
	public static final String END = "end";
	public static final String ESCAPE = "escape";
	public static final String INFO = "info";
	public static final String RANK = "rank";
	public static final String MODIFY = "modify";
	public static final String MODIFY_SUCCESS="modifySuccess";
	public static final String MODIFY_FAILE="modifyFaile";
	public static final String FORCE_EXIT = "forceExit";
	public static final String OUTLINE = "outline";
	public static final String HEARTBEAT = "heartbeat";
	
	public Integer playerId; //玩家ID
	public String cmd; //指令
	public String content; //内容
	public String requestCode; //请求码
	public CmdVO(String cmd, String content, String requestCode) {
		super();
		this.cmd = cmd;
		this.content = content;
		this.requestCode = requestCode;
	}
	
	
	public CmdVO() {
	}

	public CmdVO(Integer playerId, String cmd, String content,
			String requestCode) {
		super();
		this.playerId = playerId;
		this.cmd = cmd;
		this.content = content;
		this.requestCode = requestCode;
	}

	public CmdVO(String cmd) {
		this.cmd = cmd;
	}
	public String toString() {
		return "CmdVO [playerId=" + playerId + ", cmd=" + cmd + ", content="
				+ content + ", requestCode=" + requestCode + "]";
	}
}
